#ifndef VB_GUI_H_
#define VB_GUI_H_

#include <stdio.h>
#include "vb_types.h"
            
#define AKILL           0x01
#define GUISTATUS       0x02
#define GUIEXIT         0x04
#define VBRESET         0x08


int guiop;
char rompath[384];
char BMPpath[384];
char sspath[384];
char e_modefail[] = "Error settings graphics mode!";
char e_file[] = "Error creating options file!";
char b_ok[] = "Ok!";
char b_cancel[] = "Cancel";

#ifdef ALLEGRO_WINDOWS
        char m_about1[] = "Red Dragon v0.35 for Windows";
#endif
#ifdef ALLEGRO_DOS
        char m_about1[] = "Red Dragon v0.35 for DOS";
#endif
#ifdef ALLEGRO_LINUX
	char m_about1[] = "Red Dragon v0.35 for Linux";
#endif

char m_about2[] = "Written by frostgiant (frostgiant@yifan.net)";
char m_about3[] = "Heavily Based on Reality Boy by David Tucker";
char w_title[] = "Red Dragon v0.35";
char *list_dspmode[] = { "Normal", "Red / Blue", "Interlaced", "Over / Under", "Side by Side", "CyberScope", NULL };
char *list_palette[] = { "Normal", "Red", "Red && Blue", "Red && Green", "Red, Blue, Green", NULL };

FILE *stateFile;

int file_exit(void);
int options_video(void);
int file_loadrom(void);
int help_about(void);
void setMenu(int a, int b, int c);
void writeValue(int Fvalue);
void doOptions(void);
void doKeys(void);
int StartGUI(int romload);
int d_drop_down_proc(int msg, DIALOG *d, int c);
int writeHWORD(HWORD data);
HWORD readHWORD(void);

#endif
